> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myalice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get WhatsApp Channels

> Get the list of whatsapp platform associated with a MyAlice team



## OpenAPI

````yaml GET /stable/open/whatsapp/get-platform-list
openapi: 3.0.3
info:
  title: MyAlice
  description: MyAlice API to communicate with MyAlice dashboard and your internal system
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.myalice.ai
security:
  - ApiKeyAuth: []
paths:
  /stable/open/whatsapp/get-platform-list:
    get:
      description: Get the list of whatsapp platform associated with a MyAlice team
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Channel'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauth'
components:
  schemas:
    Channel:
      required:
        - id
        - title
        - number
      type: object
      properties:
        id:
          type: integer
        title:
          type: string
          example: MyAlice WhatsApp Channel
        number:
          type: string
          format: phone
          example: +628 1234 56789
    Error:
      required:
        - error
        - code
        - success
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        success:
          type: boolean
    Unauth:
      required:
        - detail
      type: object
      properties:
        detail:
          type: string
          example: Invalid api key provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Myalice-Api-Key

````